﻿
using System;

namespace LANChatCore
{
    public class Room
    {
        private readonly string _room;
        private readonly UserManager _userManager;

        /// <summary>
        /// Creates a new room with a specific name
        /// </summary>
        /// <param name="roomName">The name of the created room</param>
        public Room(string roomName)
        {
            _room = roomName;
            _userManager = new UserManager();
        }

        public UserManager UserManager
        {
            get { return _userManager; }
        }

        /// <summary>
        /// Gets the name of the room
        /// </summary>
        public string Name
        {
            get { return _room; }
        }
    }

}