﻿using System;

namespace LANChatCore
{
    /// <summary>
    /// Defines all text to be used throughout the application. Define all strings in one file, as variables,
    /// to allow for easy proofreading and modification.
    /// </summary>   
    internal class GeneralStrings
    {
        public static String GetDefaultExPolicy = "Core Exception Policy";     
    }

    /// <summary>
    /// Defines all Error Strings
    /// </summary>
    internal class ErrorStrings
    {
        //Exception Strings
        public static String ExMsgUserNameNullOrEmpty = "username is null or empty.";
        public static String ExMsgRoomNameNullOrEmpty = "roomName is null or empty.";
        public static String ExMsgIpAddressNull = "ipAddress is null.";
        public static String ExMsgResourceNullOrEmpty = "resource is null or empty.";
        public static String ExMsgFileNullOrEmpty = "file is null or empty.";

        //Audio.cs Error Strings
        public static String FailPlayAudioFile = "An error occured while attempting to play file %s";
        public static String FailPlayAudioMemory = "There was not enough memory to play file %s";
        public static String FailPlayAudioMissing = "The audio file %s was not found";

        //User.cs Error Strings
        public static String FailRemoveUserNotFound = "Failed to remove user %s because he or she was not found.";
        public static String FailRemoveUserByName = "Failed to remove user %s.";
        public static String FailRemoveUserByIP = "Failed to remove user with IP Address %s";
        public static String FailRemoveIpAddressNotFound = "Failed to remove user based on IP Address %s because the address was not found.";
    }
}